const chalk = require('chalk');
const path = require('path');

module.exports = function(client) {
  client
  .registryCommand('vscode')
  .description(chalk.bold.blue('system cmd: create vscode configuration'))
  .action(() => {
    const origin = path.join(__dirname, '../generator/vscode/*');
    const target = path.join(process.cwd(), '.vscode')
    this.fs.copy(origin, target)
  })
}